# Generated by Django 2.2.10 on 2020-03-05 15:30

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ("contenttypes", "0002_remove_content_type_name"),
        ("gdpr_helpers", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="LegalReasonGroup",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "where",
                    models.CharField(
                        choices=[
                            ("contact_form", "Contact form"),
                            ("registration_form", "Registration form"),
                            ("landing_form", "Landing form"),
                        ],
                        max_length=20,
                        unique=True,
                        verbose_name="Posizione del gruppo",
                    ),
                ),
            ],
            options={
                "verbose_name": "Gruppo ragioni legali",
                "verbose_name_plural": "Gruppi ragioni legali",
            },
        ),
        migrations.RemoveField(model_name="privacylog", name="user"),
        migrations.AddField(
            model_name="privacylog",
            name="content_type",
            field=models.ForeignKey(
                default=1,
                on_delete=django.db.models.deletion.PROTECT,
                to="contenttypes.ContentType",
            ),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="privacylog",
            name="object_id",
            field=models.PositiveIntegerField(default=1),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="legalreason",
            name="legal_group",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="legal_reasons",
                to="gdpr_helpers.LegalReasonGroup",
                verbose_name="Gruppo di ragioni legali",
            ),
        ),
    ]
